<?php
/*
*
* @author (Макс) Freedom <by_freedom@bk.ru>
* ICQ 286-0-666
*
*/
error_reporting(0); // показ ошибок
define('homeurl', 'wapfile.su');
define('ROOT', $_SERVER['DOCUMENT_ROOT']);
define('URL', 'http://' . $_SERVER['HTTP_HOST']);
// массив с данными админа
$user = array('pass' => 'ТУТ ПАРОЛЬ АДМИНА', 'icq' => '2860666','mail' => 'by_freedom@bk.ru');
// инклуды
require_once(ROOT.'/system/db_connect.php');
require_once(ROOT.'/system/classes/pdo_class.php');
require_once(ROOT.'/system/classes/func.php');

$ip = htmlspecialchars($_SERVER['REMOTE_ADDR']);
if (isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA']) && strlen(trim($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])) > 5) {
$soft = 'Opera Mini: ' . htmlspecialchars(mb_substr(trim($_SERVER['HTTP_X_OPERAMINI_PHONE_UA']), 0, 250));
} elseif (isset($_SERVER['HTTP_USER_AGENT'])) {
$soft = htmlspecialchars(mb_substr(trim($_SERVER['HTTP_USER_AGENT']), 0, 250));
} else {
$soft = 'Not Recognised';
}

$set = DB::$dbs->queryFetch("SELECT * FROM setting WHERE id = '1' LIMIT 1");

// Если файл на сервере больше положенного срока, то удаляем его
if ($set['auto_del'] != 0) {
$delfile = DB::$dbs->query("SELECT * FROM files WHERE del_time < ?", array(time()));
if ($delfile -> rowCount() > 0) {
while($del = $delfile -> fetch()) {
unlink(ROOT.'/'.$del['url']);
DB::$dbs->query("DELETE FROM files WHERE id = ?", array($del['id']));
}
}
}

/* Мультиязычность */
$language = (isset($_COOKIE['lang']) ? func::check($_COOKIE['lang']) : 'ru');
$lang = parse_ini_file(ROOT.'/system/lang/'.$language.'.ini');

// $aut == true - админ авторизован, false - не авторизован
if ($_COOKIE['pass'] == sha1($user['pass']) ) {
$aut = true;
} else {
$aut = false;
}